Page MenuHomePhabricator

Ensure all wikis are configured to be in exactly one "family" (wikipedia/wiktionary/special/…)
Closed, ResolvedPublic

Description

Like tests/dblistTest.php#testAllWikisAreIncluded() but for family.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 27 2019, 12:24 AM

Change 553224 had a related patch set uploaded (by Jforrester; owner: Krinkle):
[operations/mediawiki-config@master] tests: Assert each wiki is in one 'deploy group' and one 'family'

https://gerrit.wikimedia.org/r/553224

Change 553226 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/mediawiki-config@master] Make arbcom-*.wikipedia.org sites no longer "special"

https://gerrit.wikimedia.org/r/553226

Change 553228 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/mediawiki-config@master] Make ge.wikimedia.org site no longer "special"

https://gerrit.wikimedia.org/r/553228

Change 553224 merged by jenkins-bot:
[operations/mediawiki-config@master] tests: Assert each wiki is in one 'deploy group' and one 'family'

https://gerrit.wikimedia.org/r/553224

Change 553226 merged by jenkins-bot:
[operations/mediawiki-config@master] Make special *.wikipedia.org sites no longer "special"

https://gerrit.wikimedia.org/r/553226

Change 553228 merged by jenkins-bot:
[operations/mediawiki-config@master] Make ge.wikimedia.org site no longer "special"

https://gerrit.wikimedia.org/r/553228

Jdforrester-WMF closed this task as Resolved.Dec 2 2019, 7:29 PM
Jdforrester-WMF reassigned this task from Jdforrester-WMF to Krinkle.

Mostly done by Krinkle.

Urbanecm reopened this task as Open.Mar 4 2020, 10:14 PM
Urbanecm added a subscriber: Urbanecm.

I seem to accidentally reverted this by https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/576965. I re-added the wiki to the special list, becuase they complained that the w interwiki points to (non-existent) ge.wikipedia.org, and as such, breaks all wiki link. I thought I forgot to add the wiki to special when creating it, so I simply did that, but didn't realize they actually reported that before in T239173, and I did the change once before.

We seem to need to fix the interwiki logic, or reconsider our decision to have wikis only in special or in wikimedia.

Jdforrester-WMF closed this task as Resolved.Mar 4 2020, 10:18 PM

This is still resolved (except for special wikis, which are special). Please don't revert anything.

Change 576977 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/mediawiki-config@master] tests: Re-enable 'family' dblist test

https://gerrit.wikimedia.org/r/576977

@Urbanecm Thanks, that makes sense. I guess I didn't have to remove test. It can continue to exists. I've restored it now.

How do you want to move forward here in terms of the issue that gewikimedia was experiencing?

Change 576977 merged by jenkins-bot:
[operations/mediawiki-config@master] tests: Re-enable 'family' dblist test

https://gerrit.wikimedia.org/r/576977